## org.codehaus.plexus.logging
Interface LoggerManager

All Known Implementing Classes:
  AbstractLoggerManager

    public interface LoggerManager

Version:
  $Id: LoggerManager.java 4796 2006-11-23 21:24:11Z jvanzyl $
Author:
  Jason van Zyl, Trygve Laugstøl

Field Summary
`static java.lang.String` `ROLE`

Method Summary
`int` `getActiveLoggerCount()`
`Logger` `getLoggerForComponent(java.lang.String role)`
`Logger` `getLoggerForComponent(java.lang.String role, java.lang.String roleHint)`
`int` `getThreshold()` Returns the current threshold for all new loggers.
`int` `getThreshold(java.lang.String role)`
`int` `getThreshold(java.lang.String role, java.lang.String roleHint)`
`void` `returnComponentLogger(java.lang.String role)`
`void` `returnComponentLogger(java.lang.String role, java.lang.String hint)`
`void` `setThreshold(int threshold)` Sets the threshold for all new loggers.
`void` `setThreshold(java.lang.String role, int threshold)`
`void` `setThreshold(java.lang.String role, java.lang.String roleHint, int threshold)`
`void` `setThresholds(int threshold)` Sets the threshold for all loggers.

Field Detail

### ROLE

    static final java.lang.String ROLE

Method Detail

### setThreshold

    void setThreshold(int threshold)

  Sets the threshold for all new loggers. It will NOT affect the existing loggers. This is usually only set once while the logger manager is configured.

  Parameters:
    `threshold` - The new threshold.

### getThreshold

    int getThreshold()

  Returns the current threshold for all new loggers.

  Returns:
    Returns the current threshold for all new loggers.

### setThresholds

    void setThresholds(int threshold)

  Sets the threshold for all loggers. It affects all the existing loggers as well as future loggers.

  Parameters:
    `threshold` - The new threshold.

### setThreshold

    void setThreshold(java.lang.String role,
                      int threshold)

### setThreshold

    void setThreshold(java.lang.String role,
                      java.lang.String roleHint,
                      int threshold)

### getThreshold

    int getThreshold(java.lang.String role)

### getThreshold

    int getThreshold(java.lang.String role,
                     java.lang.String roleHint)

### getLoggerForComponent

    Logger getLoggerForComponent(java.lang.String role)

### getLoggerForComponent

    Logger getLoggerForComponent(java.lang.String role,
                                 java.lang.String roleHint)

### returnComponentLogger

    void returnComponentLogger(java.lang.String role)

### returnComponentLogger

    void returnComponentLogger(java.lang.String role,
                               java.lang.String hint)

### getActiveLoggerCount

    int getActiveLoggerCount()

Copyright © 2011. All Rights Reserved.